> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/delete-in-memory-db-instance.md).

# Delete an In-Memory DB Instance

You can delete an In-Memory DB instance using its `UUID`. It is found in the response body when an In-Memory DB instance is created or when you [<mark style="color:blue;">fetch</mark>](/cloud/databases/in-memory-db/api/v1-api/retrieve-in-memory-db-instances.md) a list of In-Memory DB instances.

{% hint style="info" %}
**Note:** Remember to update your `UUID`. The sample `UUID` in the example is `498ae72f-411f-11eb-9d07-046c59cc737e`.
{% endhint %}

## Endpoint

Use a [<mark style="color:blue;">region-specific endpoint</mark>](/cloud/databases/in-memory-db/api/v1-api.md#endpoints) from the list to delete an instance: `https://in-memory-db.{region}.ionos.com/replicasets/{replicasetId}`

## Request

To delete an In-Memory DB instance, you need the `id` from your [<mark style="color:blue;">create</mark>](/cloud/databases/in-memory-db/api/v1-api/create-in-memory-db-instance.md) response.

```bash
curl -X 'DELETE' \
  'https://in-memory-db.de-txl.ionos.com/replicasets/498ae72f-411f-11eb-9d07-046c59cc737e' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer $Token' 
```

{% tabs %}
{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required |  Type  | Description                                                  |
| ----------------- | :------: | :----: | ------------------------------------------------------------ |
| `Authorization`   |    yes   | string | Provide a header value as `Bearer` followed by your `token`. |
| `Content-Type`    |    yes   | string | Set this to `application/json`.                              |
| {% endtab %}      |          |        |                                                              |

{% tab title="Path Parameters" %}
The following path parameter is mandatory:

| Path Parameter | Required |  Type  | Description                                                                       |
| -------------- | :------: | :----: | --------------------------------------------------------------------------------- |
| `replicasetId` |    yes   | string | The ID (UUID) of the ReplicaSet. Example: `498ae72f-411f-11eb-9d07-046c59cc737e`. |
| {% endtab %}   |          |        |                                                                                   |
| {% endtabs %}  |          |        |                                                                                   |

## Response

Upon successful deletion, you will receive a **202 Accepted** response.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/delete-in-memory-db-instance.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
